Redmine - Defect #11749

Redmine.pm: HEAD is not considered as a read-only method

2012-08-31 12:13 - Antonio Garcia-Dominguez

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: SCM extra Estimated time: 0.00 hour
Target version: 2.1.0

Resolution: Fixed Affected version: 2.0.3
Description

I've been using Redmine.pm to control access to other per-project resources that aren't really repositories, such as WebDAV storage
areas. One of these WebDAYV areas hosted an Eclipse repository in a public project, and it was asking for a password simply to

install artifacts from it from Eclipse.

After looking at the logs, it appears that Eclipse was checking if a certain file existed using the HTTP HEAD method. As it's not
considered read-only by Redmine.pm, it was asking for auth credentials. IIRC, HTTP HEAD is a read-only method, as it is basically a

GET request without the body:

http://www.w3.org/Protocols/rfc2616/rfc2616-sec9.htmli#sec9.4

I've attached a trivial patch that fixes the problem by adding HEAD as a read-only method. With this, the hosted update site can be

installed from Eclipse just fine.

Associated revisions

Revision 10279 - 2012-09-02 14:59 - Jean-Philippe Lang
Redmine.pm: HEAD is not considered as a read-only method (#11749).

History

#1 - 2012-08-31 12:21 - Toshi MARUYAMA
- Category set to SCM extra

#2 - 2012-09-01 14:53 - Jean-Philippe Lang

- Target version set to 2.1.0

#3 - 2012-09-02 14:59 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed in r10279.

Files

add-head-as-read-only.patch 759 Bytes
